# 宏观经济指标列表

`GET` `/v2/quote/macrodata/{indicator_id}`

列出 Longbridge 支持的宏观经济指标，可按国家/地区筛选。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `country` | string | No | 按国家筛选。省略则返回所有国家。 |
| `keyword` | string | No | 按指标名称模糊搜索（不区分大小写） |
| `offset` | integer | No | 分页偏移量。默认：0 |
| `limit` | integer | No | 每页最大记录数。默认：100，最大：1000 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v2/quote/macrodata/{indicator_id}' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `indicator` | object | Yes | 指标详情 |
| `indicator.indicator_id` | integer | No | 指标 ID |
| `indicator.indicator_name` | string | No | 指标名称 |
| `indicator.unit` | string | No | 数值单位 |
| `indicator.description` | string | No | 指标描述 |
| `indicator.market` | string | No | 市场/国家代码 |
| `indicator.frequence` | string | No | 发布频率，如 `day`、`month` |
| `indicator.importance` | integer | No | 重要程度（1=低，2=中，3=高） |
| `indicator.indicator_data` | object[] | No | 时间序列数据点 |
| `indicator.indicator_data[].actual_data` | string | No | 实际值 |
| `indicator.indicator_data[].previous_data` | string | No | 前值 |
| `indicator.indicator_data[].estimated_data` | string | No | 预期值 |
| `indicator.indicator_data[].published_time` | string | No | 发布时间（ISO 8601） |
| `indicator.indicator_data[].observation_date` | string | No | 观测日期（YYYY-MM-DD） |
| `total` | integer | No | 匹配的指标总数 |

### Response JSON Example

```json
{
  "count": 619,
  "list": [
    {
      "indicator_code": "61744",
      "country": "US",
      "name": "Non-Farm Payroll",
      "periodicity": "Monthly",
      "describe": "Employment situation report...",
      "importance": 3
    }
  ]
}
```
